import { Harmony } from "@harmony-js/core";
import { Contract } from "@harmony-js/contract";
import ENS from "@ensdomains/ensjs";
interface IHmyMethodsInitParams {
    hmy: Harmony;
    ensAddress: string;
    nodeURL: string;
    options?: {
        gasPrice: number;
        gasLimit: number;
    };
}
export declare class HmyMethods {
    hmy: Harmony;
    ens: typeof ENS;
    registrarController: Contract;
    reverseRegistrar: Contract;
    ensAddress: string;
    resolverAddress: string;
    nodeURL: string;
    options: {
        gasPrice: number;
        gasLimit: number;
    };
    useOneWallet: boolean;
    useMathWallet: boolean;
    constructor(params: IHmyMethodsInitParams);
    init: () => Promise<void>;
    setUseMetamask: (value: boolean) => boolean;
    setUseOneWallet: (value: boolean) => void;
    setUseMathWallet: (value: boolean) => void;
    makeCommitment: (domain: string, owner: string, duration: number, secret: string, address: string) => Promise<any>;
    rentPrice: (domain: string, duration: number) => Promise<any>;
    commit: (commitment: any, sendTxCallback?: (hash: string) => void) => Promise<unknown>;
    register: (domain: string, owner: string, duration: number, secret: string, address: string, sendTxCallback?: (hash: string) => void) => Promise<unknown>;
}
export {};
