import Web3 from "web3";
import { Contract } from "web3-eth-contract";
import ENS from "@ensdomains/ensjs";
interface IHmyMethodsInitParams {
    web3: Web3;
    ensAddress: string;
    nodeURL: string;
    options?: {
        gasPrice: number;
        gasLimit: number;
    };
}
export declare class HmyMethodsWeb3 {
    web3: Web3;
    ens: typeof ENS;
    registrarController: Contract;
    reverseRegistrar: Contract;
    ensAddress: string;
    resolverAddress: string;
    nodeURL: string;
    useMetamask: boolean;
    constructor(params: IHmyMethodsInitParams);
    init: () => Promise<void>;
    setUseOneWallet: (value: boolean) => boolean;
    setUseMathWallet: (value: boolean) => boolean;
    setUseMetamask: (value: boolean) => boolean;
    makeCommitment: (domain: string, owner: string, duration: number, secret: string, address: string, sendTxCallback?: (hash: string) => void) => Promise<any>;
    register: (domain: string, owner: string, duration: number, secret: string, address: string, sendTxCallback?: (hash: string) => void) => Promise<any>;
    commit: (commitment: any, sendTxCallback?: (hash: string) => void) => Promise<any>;
    rentPrice: (domain: string, duration: number) => Promise<any>;
}
export {};
