"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.connectToBrowserWallet = void 0;
exports.connectToBrowserWallet = async (walletExtension, hmy, wallet, addrHex, reject) => {
    let userAddress = addrHex;
    if (!userAddress) {
        let { address } = await walletExtension.getAccount();
        userAddress = hmy.crypto.getAddress(address).checksum;
    }
    wallet.defaultSigner = userAddress;
    wallet.signTransaction = async (tx) => {
        try {
            tx.from = userAddress;
            const signTx = await walletExtension.signTransaction(tx);
            return signTx;
        }
        catch (e) {
            reject(e);
        }
        return null;
    };
};
